Subject: Re: [PATCH net v3] net: phy: intel-xway: enable integrated led functions

From: Andrew Lunn <[email-masked]>
Date: Fri, 4 Feb 2022 23:54:40 +0100

> The PHY_INTERRFACE_MODE_NA is a neat trick that I will remember but it
> would only help with the rgmii delay issue and not the LED issue (this
> patch). The GPY111 has some really nasty errata that is going to cause
> me to have a very hackish work-around anyway and I will be disabling
> the PHY driver to stay out of the way of that workaround

Well, ideally we want the workaround for the erratas in the kernel
drivers. In the long run, you will get less surprises if you add what
you need to Linux, not hide stuff away in the bootloader.

> As far as changing a driver to force a LED configuration with no dt
> binding input (like this patch does) it feels wrong for exactly the
> same reason - LED configuration for this PHY can be done via
> pin-strapping and this driver now undoes that with this patch.

Is it possible to read the pin strapping pins? If we know it has been
pin strapped, then a patch to detect this and not change the LED
configuration seems very likely to be accepted.

      Andrew